{% extends "layout.html" %}
{% import "macros/blog.html" as blog %}
{% set share_url = url_to(this, external=true) %}
{% set share_text = blog.render_summary(this)|striptags %}
{% block graph %}
  <meta property="og:title" content="{{ this.title}} | Tor Project">
  <meta property="og:description" content="{{ share_text }}">
  <meta property="og:image" content="{{ blog.image_url(this, external=True) }}">
  <meta property="og:url" content="{{ share_url }}">
  <meta name="twitter:card" content="summary_large_image">
{% endblock %}
{% block body %}
  {{ blog.render(this) }}
  <div class="share-links">
    <strong>Share this post:</strong><br />
	<a class="copy-link" href="#"><i class="fas fa-link"></i><span>Copy link</span></a>
	<a target="blank" rel="noreferrer" href="http://www.facebook.com/share.php?u={{ share_url|urlencode }}"><i class="fab fa-facebook"></i><span>Facebook</span></a>
	<a target="blank" rel="noreferrer" href="https://twitter.com/intent/tweet?url={{ share_url|urlencode }}&text={{ share_text|urlencode }}"><i class="fab fa-x-twitter"></i><span>Twitter/X</span></a>
	<a class="mastodon-share" target="blank" rel="noreferrer" href="https://mastodonshare.com/?url={{ share_url|urlencode }}&text={{ share_text|urlencode }}"><i class="fab fa-mastodon"></i><span>Mastodon</span></a>
    <a target="blank" rel="noreferrer" href="https://bsky.app/intent/compose?text={{ share_text|urlencode }}%0A{{ share_url|urlencode }}"><i class="fab fa-bluesky"></i><span>Bluesky</span></a>
  </div>
  <div class="comments">
	<h2>Comments</h2>
	{%- if this._html_body %}
	  {%- if this._comments %}
		<p>Please note that the comment area below has been archived.</p>
		{{ this._comments }}
	  {%- else %}
		<p>Comments are closed.</p>
	  {%- endif %}
	{%- else %}
	  <p>We encourage respectful, on-topic comments. Comments that violate our
	  <a href="https://community.torproject.org/policies/code_of_conduct">Code of Conduct</a>
	  will be deleted. Off-topic comments may be deleted at the discretion of
	  the moderators. Please do not comment as a way to receive support or to
	  report bugs on a post unrelated to a release. If you are looking for
	  support, please see our <a href="https://support.torproject.org/">FAQ</a>,
	  <a href="https://forum.torproject.org/">user support forum</a> or ways to
	  <a href="https://www.torproject.org/contact">get in touch with us</a>.</p>

      <div id='discourse-comments'></div>

      <script type="text/javascript">
        DiscourseEmbed = { discourseUrl: 'https://forum.torproject.org/',
          discourseEmbedUrl: '{{ share_url }}',
          discourseReferrerPolicy: 'strict-origin-when-cross-origin'};
        (function() {
          var d = document.createElement('script'); d.type = 'text/javascript'; d.async = true;
          d.src = DiscourseEmbed.discourseUrl + 'javascripts/embed.js';
          (document.getElementsByTagName('head')[0] || document.getElementsByTagName('body')[0]).appendChild(d);
        })();
      </script>

      <noscript>
        <p>Join the discussion on the <a href="https://forum.torproject.org/c/news/11">Tor Project forum</a>!</p>
      </noscript>
    {%- endif %}
  </div>
{% endblock %}
